http_match_request_header
http_negotiate_charset
HTTP Functions
PHP Manual

# http_support

Check built-in HTTP support

### Description

int http_support ([ int `$feature` = 0 ] )

Check for features that require external libraries.

See the feature support constants table for possible values for the `feature` argument.

### Parameters

`feature`

  feature to probe for

### Return Values

Returns integer, whether requested feature is supported, or a bitmask with all supported features if `feature` was omitted.

### Examples

Example #1 A http_support example

`<?php
if (!http_support(HTTP_SUPPORT_REQUESTS)) {
die("Need HTTP request support!\n");
}
?>`